Update Model
Update an existing model
Patch a model based on its Hightouch ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The model's ID
Body
The input for updating a Model
The name of the model
The description of the model. Null when no description has been set.
If is_schema is true, the model is just used to build other models. Either as part of visual querying, or as the root of a visual query.
Visual query, used by audience
Custom query for sources that doesn't support sql. For example, Airtable.
Table-based query that fetches on a table instead of SQL
Standard raw SQL query
The primary key will be null if the query doesn't get directly synced (e.g. a relationship table for visual querying)
Response
Ok
The SQL query that pulls data from your source to send to your destination. We send your SQL query directly to your source so any SQL that is valid for your source (including functions) is valid in Hightouch.
The id of the model
The name of the model
The slug of the model
The description of the model. Null when no description has been set.
The id of the workspace where the model belongs to
The primary key will be null if the query doesn't get directly synced (e.g. a relationship table for visual querying)
The timestamp when model was created
The timestamp when model was lastly updated
The user who created the model, or null if no user was recorded
The user who last updated the model, or null if no user was recorded
The id of the source that model is connected to
The type of the query. Available options: custom, raw_sql, tabel, dbt and visual.
The tags of the model
If is_schema is true, the model is just used to build other models. Either as part of visual querying, or as the root of a visual query.
If is_general_model is true, the model is not synced. It exposes warehouse data to Hightouch AI agents and is managed from the schema section.
The list of id of syncs that uses this model
The number of rows returned by the most recent successful sync run of this model. Null if the model has never been synced successfully.
Visual query, used by audience
Custom query for sources that doesn't support sql. For example, Airtable.
Table-based query that fetches on a table instead of SQL
Query that is based on a dbt model
Standard raw SQL query
The Space this audience belongs to. Applies only to workspaces with Spaces enabled; contact Hightouch to enable Spaces and to obtain Space ids. Only valid when queryType is "visual". Omitted for models that are not in a Space. An API key scoped to a Space must set it on create. Read-only after creation.
Row-level access rules attached to this audience. Applies only to workspaces with Spaces enabled. Only valid when queryType is "visual"; always present on an audience. When creating an audience in a Space, include one rule from each required row-level access group on the parent model. Rule ids come from the Spaces governance API. Read-only after creation.